using System.Windows;

namespace Valg.EVA.Skanning.Scan.Startup.SelectScannerModel
{
    
    
    
    public partial class UnsupportedScannerModelSelectorWindow : Window
    {
        public UnsupportedScannerModelSelectorWindow()
        {
            InitializeComponent();

            Loaded += (sender, args) => Activate();

            var languageInitiator = new LanguageResourceInitializer();
            languageInitiator.SetCurrentCulture();

            DataContext = new UnsupportedScannerModelSelectorWindowViewModel();
        }

        private void OnButtonOkClick(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
            Close();
        }

        private void OnButtonCancelClick(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
            Close();
        }
    }
}

